OracleWrapper
Keywords: uk.ac.ic.doc.automed.wrappers.OracleWrapper class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.wrappers
Class OracleWrapper

    java.lang.Object
      uk.ac.ic.doc.automed.wrappers.AutoMedWrapper
          uk.ac.ic.doc.automed.wrappers.SQLWrapper
              uk.ac.ic.doc.automed.wrappers.OracleWrapper

    public class OracleWrapper

extends SQLWrapper

A lower level wrapper for the conforming to the AutoMed SQL high level wrapper for Oracle SQL databases.

Author:
  Peter McBrien (pjm@doc.ic.ac.uk)

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.wrappers.SQLWrapper
`OPTION_SCHEMA_NAME`

Fields inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapper
`am, awf, debug, driver, emptyKeyProtection, emptyKeys, optionKeyProtection, optionKeys, password, protocol, s, url, username`

Constructor Summary
`OracleWrapper(AccessMethod am, java.lang.String password)` Generate a new wrapper instance from information held in the repository about how to access a data source.

Method Summary
`protected AutoMedWrapperFactory` | `getDefaultWrapperFactory()` Returns a new instance of the default wrapper factory for this wrapper
`static AutoMedWrapper` | `newAutoMedWrapper(java.lang.String username, java.lang.String password, java.lang.String driver, java.lang.String url, java.lang.String schemaName, AutoMedWrapperFactory awf)` Create an AutoMed `Schema` containing `SchemaObject`s that represent a database, in such a form that queries on that schema can be mapped by executeQuery in the query lanuage of the database.

Methods inherited from class uk.ac.ic.doc.automed.wrappers.SQLWrapper
`connect, escapedSQLID, executeIQL, executeLocalQuery, executeSQLQuery, getProtocolName, getQueryParser`

Methods inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapper
`atDebugLevel, cacheWrapper, deleteIQL, getAccessMethod, getAutoMedWrapper, getAutoMedWrapper, getAutoMedWrapperFactory, getDrivers, getOption, getOptionKeyProtection, getOptionKeys, getProtocol, getSchema, getSchema, insertIQL, newAutoMedSchema, newAutoMedWrapper, newAutoMedWrapper, registerWrapper, selectNewAutoMedWrapper, selectNewAutoMedWrapper, setDebugLevel, setOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleWrapper

    public OracleWrapper(AccessMethod am,
                         java.lang.String password)
                  throws DataSourceException

  Generate a new wrapper instance from information held in the repository about how to access a data source. Note that a suitable access `AccessMethod` and `Schema` can be created using `OracleWrapperFactory#build`

  Throws:
    `DataSourceException`

Method Detail

### newAutoMedWrapper

    public static AutoMedWrapper newAutoMedWrapper(java.lang.String username,
                                                   java.lang.String password,
                                                   java.lang.String driver,
                                                   java.lang.String url,
                                                   java.lang.String schemaName,
                                                   AutoMedWrapperFactory awf)
                                            throws IntegrityException,
                                                   DataSourceException

  Create an AutoMed `Schema` containing `SchemaObject`s that represent a database, in such a form that queries on that schema can be mapped by executeQuery in the query lanuage of the database. This should be called once per database, so as to configure the repository. Subsequent uses of the database should call the constructor for OracleWrapper with the `AccessMethod` of the OracleWrapper returned here.

  Parameters:
    `schemaName` - is the name of the `Schema` to create in the repository to represent the data source. If this is left null then a connection is established to the data source, and the `Schema` may be created later using `AutoMedWrapper.getSchema(String)`
    `awf` - is an `SQLWrapperFactory` instance configured to model the source schema in the desired manner. This may be left null, in which case an `SQLWrapperFactory` with default settings will be created.
  Throws:
    `IntegrityException`
    `DataSourceException`

### getDefaultWrapperFactory

    protected AutoMedWrapperFactory getDefaultWrapperFactory()

  Returns a new instance of the default wrapper factory for this wrapper

  Overrides:
    `getDefaultWrapperFactory` in class `SQLWrapper`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD